
from agent import Agent

class ProcessTextAgent(Agent):

	TYPE = "text" or "image"


	def on_process_data(self, data:List[Dict]):
		return filter(lambda x: x["type"] == self.TYPE, data)

		# {type: "text", "file" : ""}

class ExampleAgent(ProcessTextAgent):


	def on_process_data(self, data:List[Dict]):
		# {type: "text", "file" : ""}

		self.after_process_data(result)



# disk -> 123
#	agent 1 disk -> 123

class Agent:
	def request_management(self, request):
		request.get(os.gentenv('MANAGEMENT'), data)
		# https ...
	
	def write_result(...):
		self.request_management.write(...)

	def read_result(...):
		self.request_management.read(...)


class ProcessAgent(Agent):
	TYPE : str = None

	def on_process_data(self, data:List[Dict]):
		pass

class TextAgent(ProcessAgent):
	TYPE = 'text'
	text_data = self.on_process_data()

	def on_process_data(self, data:List[Dict]):
		text_data = filter_text_data()
		processed_data = text_func1(text_data)

		self.write_result(processed_data)
	
	def text_func1():
		...
	
	def text_func2():
		...

	def text_func3():
		...	

class ImageAgent(ProcessAgent):
	TYPE = 'image'

	image_data = self.on_process_data()


	def on_process_data(self, data:list[Dict])
		image_data = filter_image_data()

	def image_func1():
		...

	...



	
