
from typing import List

class Riddle():

	def __init__(self):
		self.id = "" # -> management.get_riddle_by_id(id)
		self.parent_id = "" # ?!

		self.context = "1234"
		self.question = "12" 

		self.data:List[Data] = []

	def from_json(json):
		return Riddle(json)

	def to_json(self):
		return {
			"context" : self.context,
       		"question" : self.question,
        		"solution_before" : "", # if trial > 0
        		"review_before": "" # if trial > 0
		}
	
class Data():

	TYPE_TEXT = "text"
	TYPE_AUDIO = "audio"
	TYPE_IMAGE = "image"

	def __init__(self):
		self.type = 1
		self.file = 2
		self.extraction = 3

	def to_json(self):
		return {
			"type" : self.type,
			"file" : self.file,
			"extraction" : self.extraction
		}
		